Capsule API Example

Loading...
Searching...
No Matches
Public Attributes | List of all members
clCIndividualNFBData Struct Reference

`#include <CNFBCalibrator.h>`

## Public Attributes
int64_t | timestampMilli = -1
clCIndividualNFBCalibrationFailReason | failReason = clC_IndividualNFBCalibrationFailReason_None
float | individualFrequency = 10.F
| Individual NFB frequency.
float | individualPeakFrequency = 10.F
| Individual NFB peak frequency.
float | individualPeakFrequencyPower = 10.F
| Individual NFB peak frequency power.
float | individualPeakFrequencySuppression = 2.F
| Individual NFB peak frequency suppression.
float | individualBandwidth = 6.F
| Individual NFB bandwidth.
float | individualNormalizedPower = 0.5F
| NFB power.
float | lowerFrequency = 7.F
| Left frequency bound.
float | upperFrequency = 13.F
| Right frequency bound.

## Member Data Documentation

## ◆ failReason

clCIndividualNFBCalibrationFailReason clCIndividualNFBData::failReason = clC_IndividualNFBCalibrationFailReason_None

## ◆ individualBandwidth

float clCIndividualNFBData::individualBandwidth = 6.F

Individual NFB bandwidth.

## ◆ individualFrequency

float clCIndividualNFBData::individualFrequency = 10.F

Individual NFB frequency.

## ◆ individualNormalizedPower

float clCIndividualNFBData::individualNormalizedPower = 0.5F

NFB power.

## ◆ individualPeakFrequency

float clCIndividualNFBData::individualPeakFrequency = 10.F

Individual NFB peak frequency.

## ◆ individualPeakFrequencyPower

float clCIndividualNFBData::individualPeakFrequencyPower = 10.F

Individual NFB peak frequency power.

## ◆ individualPeakFrequencySuppression

float clCIndividualNFBData::individualPeakFrequencySuppression = 2.F

Individual NFB peak frequency suppression.

## ◆ lowerFrequency

float clCIndividualNFBData::lowerFrequency = 7.F

Left frequency bound.

## ◆ timestampMilli

int64_t clCIndividualNFBData::timestampMilli = -1

## ◆ upperFrequency

float clCIndividualNFBData::upperFrequency = 13.F

Right frequency bound.

The documentation for this struct was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/CNFBCalibrator.h